      subroutine cucvparm(pt)

      implicit none

      integer,parameter::itb=76,jtb=134,itbq=152,jtbq=440
      real::pt
      real:: ros,cs,ds,aks,dzg,tg0,tga,roi,ci,di,aki,dzi,elwv,plq,ti0
      data ros/1500./,cs/1339.2/,ds/.100/,aks/.0000005  /,dzg/02.50/ &
       ,tg0/258.16/,tga/30./   &
       ,roi/916.6/,ci/2060.0/,di/.100/,aki/.000001075/,dzi/2.0/  &
       ,ti0/271.16/  &
       ,elwv/2.50e6/ &
       ,plq/70000./
      real::thl,thh,pl,ph,r1,pt1,rdq,rdth,rdthe,qs0(jtb)    &
            ,sqs(jtb),the0(itb),sthe(itb),rdpq,rdtheq,rdp
      real::ptbl(itb,jtb),ttbl(jtb,itb),ttblq(jtbq,itbq),   &
            the0q(itbq),stheq(itbq)
!
! *** Coarse look-up table for saturation point.
!
      thl=210.
      thh=350.
      pl=pt
      ph=105000.
      r1=287.04
      pt1=pt
!c-----------------------------------------------------------------------
!csd new convection
      call table(ptbl,ttbl,pt  &
               ,rdq,rdth,rdp,rdthe,pl,thl,qs0,sqs,sthe,the0)
      call tableq(ttblq,rdpq,rdtheq,plq,thl,stheq,the0q)

      open(110,file='cucvparm.dat', form='unformatted')
 
      write(110)plq,rdpq,rdtheq,stheq,the0q
      write(110)ros,cs,ds,roi,ci,di,pl,thl,rdq,rdth,rdp,rdthe, &
                qs0,sqs,sthe,the0
      write(110)ttblq,ptbl,ttbl
      close(110)

      end subroutine cucvparm

